#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "GameplayTagContainer.h"
#include "S49P03.generated.h"

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class US49P03 : public UPerk
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	FGameplayTag _exhaustedEffectTag;

	UPROPERTY(EditAnywhere)
	TArray<FGameplayTag> _cooldownModifierTags;

	UPROPERTY(EditAnywhere)
	FGameplayTag _scratchMarksDisappearanceRateTag;

	UPROPERTY(EditAnywhere)
	float _cooldownModifiers;

	UPROPERTY(EditAnywhere)
	float _scratchMarksDisappearanceRateBonus;

public:
	US49P03();
};

FORCEINLINE uint32 GetTypeHash(const US49P03) { return 0; }
